<?xml version="1.0"?>
<exceptionHandling>
    <exceptionPolicies>
        <add name="Business Exception Policy">
            <exceptionTypes>
                <add type="System.Exception, mscorlib" postHandlingAction="NotifyRethrow" name="Exception">
                    <exceptionHandlers>
                        <add name="Logging Handler"
                             logCategory="Business Error"
                             eventId="102"
                             severity="Error"
                             title="Plugin Exception Handling"
                             formatterType="RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.TextExceptionFormatter, RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling"
                             priority="2"
                             useDefaultLogger="true"
                             type="RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging.LoggingExceptionHandler, RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging" />
                        <!--Empty Guid.Empty == disabled-->
                        <add name="LogglyExceptionHandler"
                             type="RedPoint.Microsoft.Practices.EnterpriseLibrary.Loggly.LogglyExceptionHandler, RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging.Loggly"
                             logglyID="00000000-0000-0000-0000-000000000000"
                             tags="Plugins OutboundDelivery" />
                        <!--New Relic Exception handler newRelicInsertKey == NRII-xxxxxxxxxxxxxxxxxxxxxxxx-xxxxxxx ==> disabled-->
                        <!--European Union (EU) endpoint: https://log-api.eu.newrelic.com/log/v1-->
                        <add type="RedPoint.Microsoft.Practices.EnterpriseLibrary.NewRelic.NewRelicExceptionHandler, RedPoint.Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging.NewRelic"
                             name="NewRelicExceptionHandler"
                             newRelicInsertKey="NRII-xxxxxxxxxxxxxxxxxxxxxxxx-xxxxxxx"
                             optionalHttpsEndpoint="https://log-api.newrelic.com/log/v1"
                             optionalAttributes="Projects:Plugins,Plugin:OutboundDelivery"
                        />
                    </exceptionHandlers>
                </add>
            </exceptionTypes>
        </add>
    </exceptionPolicies>
</exceptionHandling>